using System;
using Server.Items;
using Server.Mobiles;
using Server.Spells;

namespace Server.Mobiles
{
	/// <summary>
	/// This is a test creature
	/// You can set its value in game
	/// It die after 5 minutes, so your test server stay clean
	/// Create a macro to help your creation "[add Dummy 1 15 7 -1 0.5 2"
	/// 
	/// A iTeam of negative will set a faction at random
	/// 
	/// Say Kill if you want them to die
	/// 
	/// </summary>

	public class DummyMace : Dummy
	{

		[Constructable]
		public DummyMace() : base(AIType.AI_Meelee, 15, 1, 0, 0.2, 0.6)
		{
			// A Dummy Macer
			int iHue = 20 + Team * 40;
			int jHue = 25 + Team * 40;

			// Skills and Stats
			this.InitStats( 125, 125, 90 );
			this.Skills[SkillName.Macing].Base = 120;
			this.Skills[SkillName.Anatomy].Base = 120;
			this.Skills[SkillName.Healing].Base = 120;
			this.Skills[SkillName.Tactics].Base = 120;


			// Name
			this.Name = "Macer";

			// Equip
			WarHammer war = new WarHammer();

			war.Movable = false;
			war.Newbied = true;
			war.Crafter = this;
			war.Quality = WeaponQuality.Low;

			AddItem( war );

			Boots snd = new Boots();
			snd.Hue = iHue;
			AddItem( snd );

			ChainChest cht = new ChainChest();

			cht.Movable = false;
			cht.Newbied = true;
			cht.Crafter = this;
			cht.Quality = ArmorQuality.Low;

			AddItem( cht );

			ChainLegs chl = new ChainLegs();

			chl.Movable = false;
			chl.Newbied = true;
			chl.Crafter = this;
			chl.Quality = ArmorQuality.Low;

			AddItem( chl );

			PlateArms pla = new PlateArms();

			pla.Movable = false;
			pla.Newbied = true;
			pla.Crafter = this;
			pla.Quality = ArmorQuality.Low;

			AddItem( pla );
		}

		public DummyMace( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

	public class DummyFence : Dummy
	{

		[Constructable]
		public DummyFence() : base(AIType.AI_Meelee, 15, 1, 0, 0.2, 0.6)
		{
			// A Dummy Fencer
			int iHue = 20 + Team * 40;
			int jHue = 25 + Team * 40;

			// Skills and Stats
			this.InitStats( 125, 125, 90 );
			this.Skills[SkillName.Fencing].Base = 120;
			this.Skills[SkillName.Anatomy].Base = 120;
			this.Skills[SkillName.Healing].Base = 120;
			this.Skills[SkillName.Tactics].Base = 120;


			// Name
			this.Name = "Fencer";

			// Equip
			ShortSpear ssp = new ShortSpear();

			ssp.Movable = false;
			ssp.Newbied = true;
			ssp.Crafter = this;
			ssp.Quality = WeaponQuality.Low;

			AddItem( ssp );

			Boots snd = new Boots();
			snd.Hue = iHue;
			AddItem( snd );

			ChainChest cht = new ChainChest();

			cht.Movable = false;
			cht.Newbied = true;
			cht.Crafter = this;
			cht.Quality = ArmorQuality.Low;

			AddItem( cht );

			ChainLegs chl = new ChainLegs();

			chl.Movable = false;
			chl.Newbied = true;
			chl.Crafter = this;
			chl.Quality = ArmorQuality.Low;

			AddItem( chl );

			PlateArms pla = new PlateArms();

			pla.Movable = false;
			pla.Newbied = true;
			pla.Crafter = this;
			pla.Quality = ArmorQuality.Low;

			AddItem( pla );
		}

		public DummyFence( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

	public class DummySword : Dummy
	{

		[Constructable]
		public DummySword() : base(AIType.AI_Meelee, 15, 1, 0, 0.2, 0.6)
		{
			// A Dummy Swordsman
			int iHue = 20 + Team * 40;
			int jHue = 25 + Team * 40;

			// Skills and Stats
			this.InitStats( 125, 125, 90 );
			this.Skills[SkillName.Swords].Base = 120;
			this.Skills[SkillName.Anatomy].Base = 120;
			this.Skills[SkillName.Healing].Base = 120;
			this.Skills[SkillName.Tactics].Base = 120;
			this.Skills[SkillName.Parry].Base = 120;


			// Name
			this.Name = "Swordsman";

			// Equip
			Katana kat = new Katana();

			kat.Movable = false;
			kat.Newbied = true;
			kat.Crafter = this;
			kat.Quality = WeaponQuality.Low;

			AddItem( kat );

			Boots snd = new Boots();
			snd.Hue = iHue;
			AddItem( snd );

			ChainChest cht = new ChainChest();

			cht.Movable = false;
			cht.Newbied = true;
			cht.Crafter = this;
			cht.Quality = ArmorQuality.Low;

			AddItem( cht );

			ChainLegs chl = new ChainLegs();

			chl.Movable = false;
			chl.Newbied = true;
			chl.Crafter = this;
			chl.Quality = ArmorQuality.Low;

			AddItem( chl );

			PlateArms pla = new PlateArms();

			pla.Movable = false;
			pla.Newbied = true;
			pla.Crafter = this;
			pla.Quality = ArmorQuality.Low;

			AddItem( pla );
		}

		public DummySword( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

	public class DummyNox : Dummy
	{

		[Constructable]
		public DummyNox() : base(AIType.AI_Mage, 15, 1, 0, 0.2, 0.6)
		{

			// A Dummy Nox or Pure Mage
			int iHue = 20 + Team * 40;
			int jHue = 25 + Team * 40;

			// Skills and Stats
			this.InitStats( 90, 90, 125 );
			this.Skills[SkillName.Magery].Base = 120;
			this.Skills[SkillName.EvalInt].Base = 120;
			this.Skills[SkillName.Inscribe].Base = 100;
			this.Skills[SkillName.Wrestling].Base = 120;
			this.Skills[SkillName.Meditation].Base = 120;
			this.Skills[SkillName.Poisoning].Base = 100;


			// Name
			this.Name = "Nox Mage";

			// Equip
			Spellbook book = new Spellbook();
			book.Movable = false;
			book.Newbied = true;
			AddItem( book );

			Kilt kilt = new Kilt();
			kilt.Hue = jHue;
			AddItem( kilt );

			Sandals snd = new Sandals();
			snd.Hue = iHue;
			AddItem( snd );

			SkullCap skc = new SkullCap();
			skc.Hue = iHue;
			AddItem( skc );

			// Spells
			AddSpellAttack( typeof(Spells.First.MagicArrowSpell) );
			AddSpellAttack( typeof(Spells.First.WeakenSpell) );
			AddSpellAttack( typeof(Spells.Third.FireballSpell) );
			AddSpellDefense( typeof(Spells.Third.WallOfStoneSpell) );
			AddSpellDefense( typeof(Spells.First.HealSpell) );
		}

		public DummyNox( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

	public class DummyArcher : Dummy
	{
		[Constructable]
		public DummyArcher() : base(AIType.AI_Archer, 15, 7, 0, 0.2, 0.6)
		{
			this.Name = "Archer";
			int iHue = 20 + Team * 40;
			int jHue = 25 + Team * 40;
			this.InitStats( 125, 125, 10 );
			Bow bow = new Bow();

			bow.Movable = false;
			bow.Newbied = true;
			bow.Crafter = this;
			bow.Quality = WeaponQuality.Low;
			AddItem( bow );

			Robe robe = new Robe();
			robe.Hue = jHue;
			AddItem(robe);

			Arrow arrows = new Arrow( 200 );
			arrows.Newbied = true;
			AddToBackpack( arrows );

			AddToBackpack( new Gold( 250, 500 ) );
		}

		public DummyArcher( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

	public class DummyStun : Dummy
	{

		[Constructable]
		public DummyStun() : base(AIType.AI_Mage, 15, 1, 0, 0.2, 0.6)
		{

			// A Dummy Stun Mage
			int iHue = 20 + Team * 40;
			int jHue = 25 + Team * 40;

			// Skills and Stats
			this.InitStats( 90, 90, 125 );
			this.Skills[SkillName.Magery].Base = 100;
			this.Skills[SkillName.EvalInt].Base = 120;
			this.Skills[SkillName.Anatomy].Base = 80;
			this.Skills[SkillName.Wrestling].Base = 80;
			this.Skills[SkillName.Meditation].Base = 100;
			this.Skills[SkillName.Poisoning].Base = 100;


			// Name
			this.Name = "Stun Mage";

			// Equip
			Spellbook book = new Spellbook();
			book.Movable = false;
			book.Newbied = true;
			AddItem( book );

			LeatherArms lea = new LeatherArms();
			lea.Movable = false;
			lea.Newbied = true;
			lea.Crafter = this;
			lea.Quality = ArmorQuality.Low;
			AddItem( lea );

			LeatherChest lec = new LeatherChest();
			lec.Movable = false;
			lec.Newbied = true;
			lec.Crafter = this;
			lec.Quality = ArmorQuality.Low;
			AddItem( lec );

			LeatherGorget leg = new LeatherGorget();
			leg.Movable = false;
			leg.Newbied = true;
			leg.Crafter = this;
			leg.Quality = ArmorQuality.Low;
			AddItem( leg );

			LeatherLegs lel = new LeatherLegs();
			lel.Movable = false;
			lel.Newbied = true;
			lel.Crafter = this;
			lel.Quality = ArmorQuality.Low;
			AddItem( lel );

			Boots bts = new Boots();
			bts.Hue = iHue;
			AddItem( bts );

			Cap cap = new Cap();
			cap.Hue = iHue;
			AddItem( cap );

			// Spells
			AddSpellAttack( typeof(Spells.First.MagicArrowSpell) );
			AddSpellAttack( typeof(Spells.First.WeakenSpell) );
			AddSpellAttack( typeof(Spells.Third.FireballSpell) );
			AddSpellDefense( typeof(Spells.Third.WallOfStoneSpell) );
			AddSpellDefense( typeof(Spells.First.HealSpell) );
		}

		public DummyStun( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

	public class DummySuper : Dummy
	{

		[Constructable]
		public DummySuper() : base(AIType.AI_Mage, 15, 1, 0, 0.2, 0.6)
		{
/*
Mage 3 (Super Mage)

Stats:
125 Str
125 Dex
125 Int

Cloths:
Full Leather Armor
Jester Cap
Sandals
Doublet

Skills:

120 Magery
120 Evalint
120 Magic Resist
100 Poisoning
120 Anatomy
120 Wrestling
120 Meditation
100 Inscribe
*/
			// A Dummy Super Mage
			int iHue = 20 + Team * 40;
			int jHue = 25 + Team * 40;

			// Skills and Stats
			this.InitStats( 125, 125, 125 );
			this.Skills[SkillName.Magery].Base = 120;
			this.Skills[SkillName.EvalInt].Base = 120;
			this.Skills[SkillName.Anatomy].Base = 120;
			this.Skills[SkillName.Wrestling].Base = 120;
			this.Skills[SkillName.Meditation].Base = 120;
			this.Skills[SkillName.Poisoning].Base = 100;
			this.Skills[SkillName.Inscribe].Base = 100;

			// Name
			this.Name = "Super Mage";

			// Equip
			Spellbook book = new Spellbook();
			book.Movable = false;
			book.Newbied = true;
			AddItem( book );

			LeatherArms lea = new LeatherArms();
			lea.Movable = false;
			lea.Newbied = true;
			lea.Crafter = this;
			lea.Quality = ArmorQuality.Low;
			AddItem( lea );

			LeatherChest lec = new LeatherChest();
			lec.Movable = false;
			lec.Newbied = true;
			lec.Crafter = this;
			lec.Quality = ArmorQuality.Low;
			AddItem( lec );

			LeatherGorget leg = new LeatherGorget();
			leg.Movable = false;
			leg.Newbied = true;
			leg.Crafter = this;
			leg.Quality = ArmorQuality.Low;
			AddItem( leg );

			LeatherLegs lel = new LeatherLegs();
			lel.Movable = false;
			lel.Newbied = true;
			lel.Crafter = this;
			lel.Quality = ArmorQuality.Low;
			AddItem( lel );

			Sandals snd = new Sandals();
			snd.Hue = iHue;
			AddItem( snd );

			JesterHat jhat = new JesterHat();
			jhat.Hue = iHue;
			AddItem( jhat );

			Doublet dblt = new Doublet();
			dblt.Hue = iHue;
			AddItem( dblt );

			// Spells
			AddSpellAttack( typeof(Spells.First.MagicArrowSpell) );
			AddSpellAttack( typeof(Spells.First.WeakenSpell) );
			AddSpellAttack( typeof(Spells.Third.FireballSpell) );
			AddSpellDefense( typeof(Spells.Third.WallOfStoneSpell) );
			AddSpellDefense( typeof(Spells.First.HealSpell) );
		}

		public DummySuper( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

	public class DummyHealer : Dummy
	{
		[Constructable]
		public DummyHealer() : base(AIType.AI_Healer, 15, 1, 0, 0.2, 0.6)
		{
			this.Name = "Healer";
			int iHue = 20 + Team * 40;
			int jHue = 25 + Team * 40;
			this.InitStats( 125, 25, 125 );
			Spellbook book = new Spellbook();

			this.Skills[SkillName.Magery].Base = 120;
			this.Skills[SkillName.EvalInt].Base = 120;
			this.Skills[SkillName.Anatomy].Base = 120;

			book.Movable = false;
			book.Newbied = true;
			AddItem( book );

			Robe robe = new Robe();
			robe.Hue = jHue;
			AddItem( robe );

			Cap cap = new Cap();
			cap.Hue = iHue;
			AddItem( cap );
		}

		public DummyHealer( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}

	public class DummyAssassin : Dummy
	{
		[Constructable]
		public DummyAssassin() : base(AIType.AI_Meelee, 15, 1, 0, 0.2, 0.6)
		{
			this.Name = "Assassin";
			int iHue = 20 + Team * 40;
			int jHue = 25 + Team * 40;
			this.InitStats( 100, 100, 50 );
			Katana kat = new Katana();

			kat.Movable = false;
			kat.Newbied = true;
			kat.Crafter = this;
			kat.Poison = Poison.Deadly;
			kat.PoisonCharges = 12;
			kat.Quality = WeaponQuality.Low;
			AddItem( kat );
			Container pack = new Backpack();

			pack.Movable = false;

			pack.DropItem( new Gold( 50, 101 ) );
			pack.DropItem( new DeadlyPoisonPotion() );

			this.AddItem( pack );

			this.AddItem( new PoisonPotion() );
		}

		public DummyAssassin( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}

/*			
if (iAI == AIType.AI_Animal)
{
	this.Name = "Animal";
}

if (iAI == AIType.AI_Healer)
{
	this.Name = "Healer";

	Mace swd = new Mace();

	swd.Movable = false;
	swd.Newbied = true;
	swd.Crafter = this;
	swd.Quality = WeaponQuality.Low;
	swd.Hue = iHue;

	AddItem( swd );
}

if (iAI == AIType.AI_Vendor)
{
	this.Name = "Vendor";
}
*/