using System;

namespace Server.Mobiles
{
	[CorpseName( "a deer corpse" )]
	public class Deer : BaseCreature
	{
		[Constructable]
		public Deer() : base(AIType.AI_Animal, AIType.AI_Animal, 10, 1, 1, 1, 5)
		{
			this.Body = 0xED;
			this.Name = "a deer";

			this.InitStats( 50, 100, 50 );
		}

		public Deer( Serial serial ) : base( serial )
		{
		}

		public override int GetAttackSound()
		{
			return 0x82;
		}

		public override int GetHurtSound()
		{
			return 0x83;
		}

		public override int GetDeathSound()
		{
			return 0x84;
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}