using System;
using Server.Items;
using Server.Targeting;
using System.Collections;

using Server.Spells;
using Server.Spells.First;
using Server.Spells.Second;
using Server.Spells.Third;
using Server.Spells.Fourth;
using Server.Spells.Fifth;
using Server.Spells.Sixth;
using Server.Spells.Seventh;


namespace Server.Mobiles
{
	[CorpseName( "a dread spider corpse" )]
	public class DreadSpider : BaseCreature
	{
		[Constructable]
		public DreadSpider () : base( AIType.AI_Mage, AIType.AI_Mage, 10, 1, 1, 0.2, 0.4 )
		{
			Body = 11;
			Name = "a dread spider";
			BaseSoundID = 263;

			SetStr( 198, 210 );
			SetDex( 126, 144 );
			SetInt( 302, 309 );

			SetSkill( SkillName.Wrestling, 71, 75 );
			SetSkill( SkillName.Tactics, 58, 69 );
			SetSkill( SkillName.MagicResist, 45, 55 );
			SetSkill( SkillName.Magery, 73, 82 );

			VirtualArmor = 36;

			SetFameLevel( 3 );
			SetKarmaLevel( 3 );

			PackItem( new LesserPoisonPotion( ));
			PackItem( new SpidersSilk( 8));
			PackItem( new Gold( 200, 250 ));
		}

		public DreadSpider( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
