using System;
using Server.Items;
using Server.Targeting;
using System.Collections;

namespace Server.Mobiles
{
	[CorpseName( "a terathan drone corpse" )]
	public class TerathanDrone : BaseCreature
	{
		[Constructable]
		public TerathanDrone() : base( AIType.AI_Meelee, AIType.AI_Meelee, 10, 1, 1, 0.2, 0.4 )
		{
			Body = 71;
			Name = "a terathan drone";
			BaseSoundID = 589;

			SetStr( 37, 64 );
			SetDex( 96, 145 );
			SetInt( 21, 44 );
			SetSkill( SkillName.Wrestling, 44, 53 );
			SetSkill( SkillName.Tactics, 31, 49 );
			SetSkill( SkillName.MagicResist, 30, 43 );

			VirtualArmor = 24;
			SetFameLevel( 2 );
			SetKarmaLevel( 2 );
			
				PackItem( new SpidersSilk( 2 ));
				PackItem( new Gold( 1, 50 ));
		}

		public TerathanDrone( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
