using System;
using System.Collections;
using Server.Items;
using Server.Spells;
using Server.Spells.First;
using Server.Spells.Second;
using Server.Spells.Third;
using Server.Spells.Fourth;
using Server.Spells.Fifth;
using Server.Spells.Sixth;
using Server.Spells.Seventh;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a gargoyle corpse" )]
	public class Gargoyle : BaseCreature
	{
		[Constructable]
		public Gargoyle() : base( AIType.AI_Mage, AIType.AI_Mage, 10, 1, 1, 0.2, 0.4 )
		{
			Body = 4;
			Name = "a gargoyle";
			BaseSoundID = 372;

			SetStr( 159, 175 );
			SetDex( 77, 94 );
			SetInt( 82, 100 );
			SetSkill( SkillName.Wrestling, 53, 79 );
			SetSkill( SkillName.Tactics, 50, 69 );
			SetSkill( SkillName.MagicResist, 71, 84 );
			SetSkill( SkillName.Magery, 75, 86 );

			VirtualArmor = 32;
			SetFameLevel( 3 );
			SetKarmaLevel( 3 );
			

			switch ( Utility.Random( 9 ))
			{
			case 0: PackItem( new Amber() ); break;
			case 1: PackItem( new Amethyst() ); break;
			case 2: PackItem( new Citrine() ); break;
			case 3: PackItem( new Diamond() ); break;
			case 4: PackItem( new Emerald() ); break;
			case 5: PackItem( new Ruby() ); break;
			case 6: PackItem( new Sapphire() ); break;
			case 7: PackItem( new StarSapphire() ); break;
			case 8: PackItem( new Tourmaline() ); break;
			}

				PackItem( new Arrow( 10 ));
				PackItem( new Gold( 50, 150 ));
				PackItem( RandomScroll.CreateScroll( 1, 7 ) );
				PackItem( RandomScroll.CreateScroll( 1, 7 ) );
		}

		public Gargoyle( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
