using System;
using System.Collections;
using Server.Items;
using Server.Spells;
using Server.Spells.First;
using Server.Spells.Second;
using Server.Spells.Third;
using Server.Spells.Fourth;
using Server.Spells.Fifth;
using Server.Spells.Sixth;
using Server.Spells.Seventh;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a titans corpse" )]
	public class Titan : BaseCreature
	{
		[Constructable]
		public Titan() : base( AIType.AI_Mage, AIType.AI_Mage, 10, 1, 1, 0.2, 0.4 )
		{
			Body = 76;
			Name = "a titan";
			BaseSoundID = 609;

			SetStr( 553, 583 );
			SetDex( 126, 142 );
			SetInt( 285, 302 );
			SetSkill( SkillName.Wrestling, 47, 54 );
			SetSkill( SkillName.Tactics, 66, 78 );
			SetSkill( SkillName.MagicResist, 92, 104 );
			SetSkill( SkillName.Magery, 87, 96 );
			SetSkill( SkillName.EvalInt, 65, 74 );

			VirtualArmor = 40;
			SetFameLevel( 4 );
			SetKarmaLevel( 4 );
			

				PackItem( new Gold( 500, 800 ));

		}

		public Titan( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
