using System;
using System.Collections;
using Server.Items;
using Server.Spells;
using Server.Spells.First;
using Server.Spells.Second;
using Server.Spells.Third;
using Server.Spells.Fourth;
using Server.Spells.Fifth;
using Server.Spells.Sixth;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a wraiths corpse" )]
	public class Wraith : BaseCreature
	{
		[Constructable]
		public Wraith() : base( AIType.AI_Mage, AIType.AI_Mage, 10, 1, 1, 0.2, 0.4 )
		{
			Body = 153;
			Name = "a wraith";
			BaseSoundID = 382;
			this.Hue = 0x5555;

			SetStr( 78, 97 );
			SetDex( 76, 92 );
			SetInt( 37, 56 );
			SetSkill( SkillName.Wrestling, 50, 59 );
			SetSkill( SkillName.Tactics, 45, 57 );
			SetSkill( SkillName.MagicResist, 55, 69 );
			SetSkill( SkillName.Magery, 58, 71 );

			VirtualArmor = 28;
			SetFameLevel( 3 );
			SetKarmaLevel( 3 );
			

			switch ( Utility.Random( 9 ))
			{
			case 0: PackItem( new Amber() ); break;
			case 1: PackItem( new Amethyst() ); break;
			case 2: PackItem( new Citrine() ); break;
			case 3: PackItem( new Diamond() ); break;
			case 4: PackItem( new Emerald() ); break;
			case 5: PackItem( new Ruby() ); break;
			case 6: PackItem( new Sapphire() ); break;
			case 7: PackItem( new StarSapphire() ); break;
			case 8: PackItem( new Tourmaline() ); break;
			}

				PackItem( new Bone());
				PackItem( new Gold( 50, 150 ));
				PackItem( RandomScroll.CreateScroll( 1, 5 ) );
		}

		public Wraith( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
