using System;
using System.Collections;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a ratmans corpse" )]
	public class Ratman : BaseCreature
	{
		[Constructable]
		public Ratman() : base( AIType.AI_Meelee, AIType.AI_Meelee, 10, 1, 1, 0.2, 0.4 )
		{
			Body = 42;
			Name = "a ratman";
			BaseSoundID = 437;

			SetStr( 96, 120 );
			SetDex( 81, 99 );
			SetInt( 37, 59 );
			SetSkill( SkillName.Wrestling, 56, 76 );
			SetSkill( SkillName.Tactics, 50, 73 );
			SetSkill( SkillName.MagicResist, 38, 58 );

			VirtualArmor = 28;
			SetFameLevel( 2 );
			SetKarmaLevel( 2 );
			

				AddItem( new WarMace());
				PackItem( new Gold( 1, 50 ));
		}

		public Ratman( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
