using System;
using System.Collections;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a hell hound corpse" )]
	public class HellHound : BaseCreature
	{
		[Constructable]
		public HellHound () : base( AIType.AI_Meelee, AIType.AI_Meelee, 10, 1, 1, 0.2, 0.4 )
		{
			Body = 98;
			Name = "a hell hound";
			BaseSoundID = 229;

			SetStr( 108, 139 );
			SetDex( 81, 104 );
			SetInt( 36, 58 );
			SetSkill( SkillName.Wrestling, 64, 81 );
			SetSkill( SkillName.Tactics, 50, 69 );
			SetSkill( SkillName.MagicResist, 30, 73 );

			VirtualArmor = 30;
			SetFameLevel( 3 );
			SetKarmaLevel( 3 );
			
			
				PackItem( new SulfurousAsh( 5 ));
				PackItem( new Gold( 1, 150 ));

		}

		public HellHound( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
