using System;
using System.Collections;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a frost ooze corpse" )]
	public class FrostOoze : BaseCreature
	{
		[Constructable]
		public FrostOoze() : base( AIType.AI_Meelee, AIType.AI_Meelee, 10, 1, 1, 0.2, 0.4 )
		{
			Body = 51;
			Name = "a frost ooze";
			BaseSoundID = 456;
			this.Hue = 0x480;

			SetStr( 19, 28 );
			SetDex( 16, 21 );
			SetInt( 16, 20 );
			SetSkill( SkillName.Wrestling, 30, 38 );
			SetSkill( SkillName.Tactics, 19, 27 );
			SetSkill( SkillName.MagicResist, 5, 9 );

			VirtualArmor = 38;
			SetFameLevel( 3 );
			SetKarmaLevel( 3 );
			

			switch ( Utility.Random( 9 ))
			{
			case 0: PackItem( new Amber() ); break;
			case 1: PackItem( new Amethyst() ); break;
			case 2: PackItem( new Citrine() ); break;
			case 3: PackItem( new Diamond() ); break;
			case 4: PackItem( new Emerald() ); break;
			case 5: PackItem( new Ruby() ); break;
			case 6: PackItem( new Sapphire() ); break;
			case 7: PackItem( new StarSapphire() ); break;
			case 8: PackItem( new Tourmaline() ); break;
			}


				// Frost Ooze, Gems Only
		}

		public FrostOoze( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
