using System;
using System.Collections;
using Server.Items;
using Server.Spells;
using Server.Spells.First;
using Server.Spells.Second;
using Server.Spells.Third;
using Server.Spells.Fourth;
using Server.Spells.Fifth;
using Server.Spells.Sixth;
using Server.Spells.Seventh;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a reapers corpse" )]
	public class Reaper : BaseCreature
	{
		[Constructable]
		public Reaper() : base( AIType.AI_Mage, AIType.AI_Mage, 10, 1, 1, 0.2, 0.4 )
		{
			Body = 47;
			Name = "a reaper";
			BaseSoundID = 442;

			SetStr( 72, 201 );
			SetDex( 66, 75 );
			SetInt( 110, 235 );
			SetSkill( SkillName.Wrestling, 56, 63 );
			SetSkill( SkillName.Tactics, 46, 57 );
			SetSkill( SkillName.MagicResist, 105, 121 );

			VirtualArmor = 40;
			SetFameLevel( 3 );
			SetKarmaLevel( 3 );

			Frozen = true;
			

				PackItem( new Log( 10));
				PackItem( new Gold( 1, 50 ));
		}

		public Reaper( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
