using System;
using System.Collections;
using Server.Items;
using Server.Spells;
using Server.Spells.First;
using Server.Spells.Second;
using Server.Spells.Third;
using Server.Spells.Fourth;
using Server.Spells.Fifth;
using Server.Spells.Sixth;
using Server.Spells.Seventh;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "an ancient wyrm corpse" )]
	public class AncientWyrm : BaseCreature
	{
		[Constructable]
		public AncientWyrm () : base( AIType.AI_Mage, AIType.AI_Mage, 10, 1, 1, 0.2, 0.4 )
		{
			Body = 105;
			Name = "an ancient wyrm";
			BaseSoundID = 362;

			SetStr( 1103, 1131 );
			SetDex( 99, 120 );
			SetInt( 734, 752 );
			SetSkill( SkillName.Wrestling, 98, 99 );
			SetSkill( SkillName.Tactics, 99, 99 );
			SetSkill( SkillName.MagicResist, 120, 133 );
			SetSkill( SkillName.Magery, 85, 99 );
			SetSkill( SkillName.EvalInt, 72, 78 );
			SetSkill( SkillName.Meditation, 61, 64 );

			VirtualArmor = 70;
			SetFameLevel( 5 );
			SetKarmaLevel( 5 );
			

			switch ( Utility.Random( 9 ))
			{
			case 0: PackItem( new Amber() ); break;
			case 1: PackItem( new Amethyst() ); break;
			case 2: PackItem( new Citrine() ); break;
			case 3: PackItem( new Diamond() ); break;
			case 4: PackItem( new Emerald() ); break;
			case 5: PackItem( new Ruby() ); break;
			case 6: PackItem( new Sapphire() ); break;
			case 7: PackItem( new StarSapphire() ); break;
			case 8: PackItem( new Tourmaline() ); break;
			}

			switch ( Utility.Random( 9 ))
			{
			case 0: PackItem( new Amber() ); break;
			case 1: PackItem( new Amethyst() ); break;
			case 2: PackItem( new Citrine() ); break;
			case 3: PackItem( new Diamond() ); break;
			case 4: PackItem( new Emerald() ); break;
			case 5: PackItem( new Ruby() ); break;
			case 6: PackItem( new Sapphire() ); break;
			case 7: PackItem( new StarSapphire() ); break;
			case 8: PackItem( new Tourmaline() ); break;
			}

			switch ( Utility.Random( 6 ))
			{
			case 0: PackItem( new AgilityPotion() ); break;
			case 1: PackItem( new LesserCurePotion() ); break;
			case 2: PackItem( new LesserHealPotion() ); break;
			case 3: PackItem( new LesserPoisonPotion() ); break;
			case 4: PackItem( new RefreshPotion() ); break;
			case 5: PackItem( new StrengthPotion() ); break;
			}

				PackItem( new Gold( 1100, 1300 ));
				PackItem( RandomScroll.CreateScroll( 2, 8 ) );

		}

		public AncientWyrm( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
