using System;
using System.Collections;
using Server.Items;
using Server.Spells;
using Server.Spells.First;
using Server.Spells.Second;
using Server.Spells.Third;
using Server.Spells.Fourth;
using Server.Spells.Fifth;
using Server.Spells.Sixth;
using Server.Spells.Seventh;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a dragon corpse" )]
	public class Dragon : BaseCreature
	{
		[Constructable]
		public Dragon () : base( AIType.AI_Mage, AIType.AI_Mage, 10, 1, 1, 0.2, 0.4 )
		{
			Body = Utility.RandomList( 12, 59 );

			Name = "a dragon";
			BaseSoundID = 362;

			SetStr( 792, 825 );
			SetDex( 88, 110 );
			SetInt( 437, 475 );
			SetSkill( SkillName.Wrestling, 91, 93 );
			SetSkill( SkillName.Tactics, 97, 100 );
			SetSkill( SkillName.MagicResist, 99, 100 );
			SetSkill( SkillName.Magery, 40, 48 );
			SetSkill( SkillName.EvalInt, 80, 93 );

			VirtualArmor = 60;
			SetFameLevel( 5 );
			SetKarmaLevel( 5 );

			switch ( Utility.Random( 9 ))
			{
				case 0: PackItem( new Amber() ); break;
				case 1: PackItem( new Amethyst() ); break;
				case 2: PackItem( new Citrine() ); break;
				case 3: PackItem( new Diamond() ); break;
				case 4: PackItem( new Emerald() ); break;
				case 5: PackItem( new Ruby() ); break;
				case 6: PackItem( new Sapphire() ); break;
				case 7: PackItem( new StarSapphire() ); break;
				case 8: PackItem( new Tourmaline() ); break;
			}

			PackItem( new Gold( 1200, 1800 ));
		}

		public Dragon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
