using System;
using System.Collections;
using Server.Items;
using Server.Spells;
using Server.Spells.First;
using Server.Spells.Second;
using Server.Spells.Third;
using Server.Spells.Fourth;
using Server.Spells.Fifth;
using Server.Spells.Sixth;
using Server.Spells.Seventh;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "an ophidian matriarchs corpse" )]
	public class OphidianMatriarch : BaseCreature
	{
		[Constructable]
		public OphidianMatriarch() : base( AIType.AI_Mage, AIType.AI_Mage, 10, 1, 1, 0.2, 0.4 )
		{
			Body = 87;
			Name = "an ophidian matriarch";
			BaseSoundID = 644;

			SetStr( 439, 489 );
			SetDex( 109, 109 );
			SetInt( 375, 441 );
			SetSkill( SkillName.Wrestling, 66, 67 );
			SetSkill( SkillName.Tactics, 60, 67 );
			SetSkill( SkillName.MagicResist, 93, 98 );
			SetSkill( SkillName.Magery, 93, 99 );
			SetSkill( SkillName.EvalInt, 15, 18 );
			SetSkill( SkillName.Meditation, 18, 19 );

			VirtualArmor = 50;
			SetFameLevel( 5 );
			SetKarmaLevel( 5 );
			

			switch ( Utility.Random( 9 ))
			{
			case 0: PackItem( new Amber() ); break;
			case 1: PackItem( new Amethyst() ); break;
			case 2: PackItem( new Citrine() ); break;
			case 3: PackItem( new Diamond() ); break;
			case 4: PackItem( new Emerald() ); break;
			case 5: PackItem( new Ruby() ); break;
			case 6: PackItem( new Sapphire() ); break;
			case 7: PackItem( new StarSapphire() ); break;
			case 8: PackItem( new Tourmaline() ); break;
			}

			switch ( Utility.Random( 6 ))
			{
			case 0: PackItem( new AgilityPotion() ); break;
			case 1: PackItem( new LesserCurePotion() ); break;
			case 2: PackItem( new LesserHealPotion() ); break;
			case 3: PackItem( new LesserPoisonPotion() ); break;
			case 4: PackItem( new RefreshPotion() ); break;
			case 5: PackItem( new StrengthPotion() ); break;
			}

				PackItem( new Arrow( 10 ));
				PackItem( new Gold( 200, 250 ));
				PackItem( RandomScroll.CreateScroll( 4, 8 ) );

		}

		public OphidianMatriarch( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
