using System;
using System.Collections;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a harpy corpse" )]
	public class Harpy : BaseCreature
	{
		[Constructable]
		public Harpy() : base( AIType.AI_Meelee, AIType.AI_Meelee, 10, 1, 1, 0.2, 0.4 )
		{
			Body = 30;
			Name = "a harpy";
			BaseSoundID = 402;

			SetStr( 96, 118 );
			SetDex( 86, 105 );
			SetInt( 54, 71 );
			SetSkill( SkillName.Wrestling, 73, 90 );
			SetSkill( SkillName.Tactics, 75, 99 );
			SetSkill( SkillName.MagicResist, 54, 65 );

			VirtualArmor = 28;
			SetFameLevel( 2 );
			SetKarmaLevel( 2 );
			

				PackItem( new Feather( 50 ));
				PackItem( new Gold( 50, 150 ));
		}

		public Harpy( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
