using System;
using System.Collections;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a krakens corpse" )]
	public class Kraken : BaseCreature
	{
		[Constructable]
		public Kraken() : base( AIType.AI_Meelee, AIType.AI_Meelee, 10, 1, 1, 0.2, 0.4 )
		{
			Body = 77;
			Name = "a kraken";
			BaseSoundID = 353;

			SetStr( 776, 772 );
			SetDex( 244, 244 );
			SetInt( 1, 1 );
			SetSkill( SkillName.Wrestling, 54, 56 );
			SetSkill( SkillName.Tactics, 49, 55 );
			SetSkill( SkillName.MagicResist, 15, 18 );

			VirtualArmor = 50;
			SetFameLevel( 4 );
			SetKarmaLevel( 4 );
			

         			PackItem( new Gold( 300, 600 ) ); 

		}

		public Kraken( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
