using System;
using System.Collections;
using Server.Items;
using Server.Spells;
using Server.Spells.First;
using Server.Spells.Second;
using Server.Spells.Third;
using Server.Spells.Fourth;
using Server.Spells.Fifth;
using Server.Spells.Sixth;
using Server.Spells.Seventh;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a wyvern corpse" )]
	public class Wyvern : BaseCreature
	{
		[Constructable]
		public Wyvern () : base( AIType.AI_Meelee, AIType.AI_Meelee, 10, 1, 1, 0.2, 0.4 )
		{

			Body = 62;
			Name = "a wyvern";
			BaseSoundID = 362;

			SetStr( 206, 236 );
			SetDex( 153, 170 );
			SetInt( 206, 236 );
			SetSkill( SkillName.Wrestling, 71, 79 );
			SetSkill( SkillName.Tactics, 66, 88 );
			SetSkill( SkillName.MagicResist, 68, 77 );

			VirtualArmor = 40;
			SetFameLevel( 5 );
			SetKarmaLevel( 5 );
			


                        // Temporary Switches Until RandomScroll Class is made
			switch ( Utility.Random( 6 ))
			{
			case 0: PackItem( new CreateFoodScroll() ); break;
			case 1: PackItem( new HarmScroll() ); break;
			case 2: PackItem( new TeleportScroll() ); break;
			case 3: PackItem( new RecallScroll() ); break;
			case 4: PackItem( new MindBlastScroll() ); break;
			case 5: PackItem( new DispelScroll() ); break;
			}

			switch ( Utility.Random( 6 ))
			{
			case 0: PackItem( new NightSightScroll() ); break;
			case 1: PackItem( new StrengthScroll() ); break;
			case 2: PackItem( new UnlockScroll() ); break;
			case 3: PackItem( new GreaterHealScroll() ); break;
			case 4: PackItem( new IncognitoScroll() ); break;
			case 5: PackItem( new MarkScroll() ); break;
			}

				PackItem( new Gold( 100, 250 ));
				PackItem( RandomScroll.CreateScroll( 1, 7 ) );
				PackItem( RandomScroll.CreateScroll( 1, 6 ) );

		}

		public Wyvern( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
