using System;
using System.Collections;
using Server.Items;

namespace Server.Mobiles
{
	public class SBKnifeWeapon: SBInfo
	{
		private ArrayList m_BuyInfo = new InternalBuyInfo();
		private IShopSellInfo m_SellInfo = new InternalSellInfo();

		public SBKnifeWeapon()
		{
		}

		public override IShopSellInfo SellInfo { get { return m_SellInfo; } }
		public override ArrayList BuyInfo { get { return m_BuyInfo; } }

		public class InternalBuyInfo : ArrayList
		{
			public InternalBuyInfo()
			{
				Add( new GenericBuyInfo( typeof( ButcherKnife ), 21, Utility.Random( 5, 10 ), 0x14F6, 0 ) );
				Add( new GenericBuyInfo( typeof( Cleaver ), 24, Utility.Random( 5, 10 ), 0xEC3, 0 ) );
				Add( new GenericBuyInfo( typeof( Dagger ), 33, Utility.Random( 5, 10 ), 0xF52, 0 ) );
				Add( new GenericBuyInfo( typeof( SkinningKnife ), 26, Utility.Random( 5, 10 ), 0xEC4, 0 ) );
			}
		}

		public class InternalSellInfo : GenericSellInfo
		{
			public InternalSellInfo()
			{
				Add( typeof( ButcherKnife ), 10 );
				Add( typeof( Cleaver ), 12 );
				Add( typeof( Dagger ), 21 );
				Add( typeof( SkinningKnife ), 13 );
			}
		}
	}
}
