using System;
using System.Collections;
using Server;
using Server.Items;
using Server.Multis.Deeds;
        
/*switch ( multiID&~0x4000 )
{
case 0x64:
case 0x65:
case 0x66:
case 0x67:
case 0x68:
case 0x69:
case 0x6A:
case 0x6B:
case 0x6C:
case 0x6D:
case 0x6E:
case 0x6F://small old house(s)

case 0xA0://Small stone shop
case 0xA2://small marble shop
m_Rect.Set( -3, -3, 7, 7 );
break;

case 0x70:
case 0x71:
case 0x72:
case 0x73://tents
m_Rect.Set( -3, -3, 8, 8 );
break;

case 0x74:
case 0x75://old guildhouse

case 0x76:
case 0x77:
case 0x78:
case 0x79://old two story (warning: house not rectangle!)
m_Rect.Set( -7, -7, 14, 14 );
break;

case 0x7A:
case 0x7B://tower
m_Rect.Set( -8, -7, 17, 14 );
break;

case 0x7C:
case 0x7D://keep
m_Rect.Set( -11, -11, 24, 24 );
break;

case 0x7E:
case 0x7F://castle
m_Rect.Set( -15, -15, 31, 31 );
break;

case 0x87:
case 0x8C:
case 0x8D://old "shops" (w/porches)
m_Rect.Set( -8, -7, 16, 14 );
break;

case 0x96://large patio house
m_Rect.Set( -7, -7, 15, 14 );
break;

case 0x98://small tower
m_Rect.Set( -3, -3, 8, 7 );
break;

case 0x9A://two story log cabin
m_Rect.Set( -3, -6, 8, 13 );
break;

case 0x9C://sandstone patio
m_Rect.Set( -5, -4, 12, 8 );
break;

case 0x9E://two story villa
m_Rect.Set( -5, -5, 11, 11 );
//1f4 1f5 1f5: camps... there are others... weeee
}*/

namespace Server.Multis
{
	public class SmallOldHouse : BaseHouse
	{
		public static Rectangle2D[] Area = new Rectangle2D[]{ new Rectangle2D(-3,-3,7,7 ) };

		public SmallOldHouse( Mobile owner, int id ) : base( id, owner, Area, 425, 3 )
		{
			DarkWoodDoor door = new DarkWoodDoor( DoorFacing.WestCW );
			AddDoor( door, 0, 3, 7 );

			Key k1 = new Key( KeyType.Gold ), k2 = new Key( KeyType.Gold );
			door.KeyValue = k1.KeyValue = k2.KeyValue = Key.RandomValue();
			k1.Newbied = k2.Newbied = true;
			k1.Newbied = k2.Newbied = true;
			door.Locked = true;
			owner.BankBox.TryDropItem( owner, k2, false );
			Container pack = owner.Backpack;
			if ( pack == null || !pack.TryDropItem( owner, k1, true ) )
			{
				k1.MoveToWorld( owner.Location, owner.Map );
			}

			SetSign( 2, 4, 5 );
			BanLocation = new Point3D( 2, 4, 0 );
		}

		public SmallOldHouse( Serial serial ) : base( serial )
		{
		}

		public override HouseDeed GetDeed() 
		{
			switch ( ItemID ^ 0x8000 )
			{
				case 0x64: return new StonePlasterHouseDeed();
				case 0x66: return new FieldStoneHouseDeed();
				case 0x68: return new SmallBrickHouseDeed();
				case 0x6A: return new WoodHouseDeed();
				case 0x6c: return new WoodPlasterHouseDeed(); 
				case 0x6e: 
				default: return new ThatchedRoofCottageDeed();
			}
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int)0 );//version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class GuildHouse : BaseHouse
	{
		public static Rectangle2D[] Area = new Rectangle2D[]{ new Rectangle2D( -7, -7, 14, 14 ) };

		public GuildHouse( Mobile owner ) : base( 0x74, owner, Area, 1100, 8 )
		{
			BaseDoor door;
				
			Key k1 = new Key( KeyType.Gold ), k2 = new Key( KeyType.Gold );
			k1.KeyValue = k2.KeyValue = Key.RandomValue();
			k1.Newbied = k2.Newbied = true;
			k1.Newbied = k2.Newbied = true;
			owner.BankBox.TryDropItem( owner, k2, false );
			Container pack = owner.Backpack;
			if ( pack == null || !pack.TryDropItem( owner, k1, true ) )
			{
				k1.MoveToWorld( owner.Location, owner.Map );
			}

			door = new DarkWoodDoor( DoorFacing.WestCW );
			AddDoor( door, -1, 6, 7 );
			door.Locked = true;
			door.KeyValue = k1.KeyValue;

			door = new DarkWoodDoor( DoorFacing.EastCCW );
			AddDoor( door, 0, 6, 7 );
			door.Locked = true;
			door.KeyValue = k1.KeyValue;

			SetSign( 4, 8, 16 );

			BanLocation = new Point3D( 4, 8, 0 );

			AddDoor( new DarkWoodDoor( DoorFacing.WestCW ), -3, -1, 7 );
			AddDoor( new DarkWoodDoor( DoorFacing.EastCCW ), 3, -1, 7 );
		}

		public GuildHouse( Serial serial ) : base( serial )
		{
		}

		public override HouseDeed GetDeed() { return new BrickHouseDeed(); }

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int)0 );//version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class TwoStoryHouse : BaseHouse
	{
		public static Rectangle2D[] Area = new Rectangle2D[]
		{ 
			new Rectangle2D( -7, 0, 14, 7 ),
			new Rectangle2D( -7, -7, 9, 7 )
		};

		public TwoStoryHouse( Mobile owner, int id ) : base( id, owner, Area, 1370, 10 )
		{
			BaseDoor door;

			Key k1 = new Key( KeyType.Gold ), k2 = new Key( KeyType.Gold );
			k1.KeyValue = k2.KeyValue = Key.RandomValue();
			k1.Newbied = k2.Newbied = true;
			owner.BankBox.TryDropItem( owner, k2, false );
			Container pack = owner.Backpack;
			if ( pack == null || !pack.TryDropItem( owner, k1, true ) )
			{
				k1.MoveToWorld( owner.Location, owner.Map );
			}

			door = new DarkWoodDoor( DoorFacing.EastCCW );
			AddDoor( door, -2, 6, 7 );
			door.Locked = true;
			door.KeyValue = k1.KeyValue;

			door = new DarkWoodDoor( DoorFacing.WestCW );
			AddDoor( door, -3, 6, 7 );
			door.Locked = true;
			door.KeyValue = k1.KeyValue;

			SetSign( 2, 8, 16 );

			BanLocation = new Point3D( 2, 8, 0 );

			AddDoor( new DarkWoodDoor( DoorFacing.WestCW ), -3, 0, 7 );
			AddDoor( new DarkWoodDoor( DoorFacing.WestCW ), -3 + (id == 0x76 ? 1 : 0), 0, 27 );
		}

		public TwoStoryHouse( Serial serial ) : base( serial )
		{
		}

		public override HouseDeed GetDeed() 
		{ 
			switch( ItemID ^ 0x8000 )
			{
				case 0x76: return new TwoStoryWoodPlasterHouseDeed();
				case 0x78:
				default: return new TwoStoryStonePlasterHouseDeed();
			}
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int)0 );//version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class Tower : BaseHouse
	{
		public static Rectangle2D[] Area = new Rectangle2D[]{  new Rectangle2D( -7, -7, 16, 14 ) };

		public Tower( Mobile owner ) : base( 0x7A, owner, Area, 2119, 15 )
		{
			BaseDoor door;

			Key k1 = new Key( KeyType.Gold ), k2 = new Key( KeyType.Gold );
			k1.KeyValue = k2.KeyValue = Key.RandomValue();
			k1.Newbied = k2.Newbied = true;
			owner.BankBox.TryDropItem( owner, k2, false );
			Container pack = owner.Backpack;
			if ( pack == null || !pack.TryDropItem( owner, k1, true ) )
			{
				k1.MoveToWorld( owner.Location, owner.Map );
			}

			door = new MetalDoor( DoorFacing.WestCW );
			AddDoor( door, 0, 6, 6 );
			door.Locked = true;
			door.KeyValue = k1.KeyValue;

			door = new MetalDoor( DoorFacing.EastCCW );
			AddDoor( door, 1, 6, 6 );
			door.Locked = true;
			door.KeyValue = k1.KeyValue;
			
			SetSign( 5, 8, 16 );

			BanLocation = new Point3D( 5, 8, 0 );
			
			AddDoor( new MetalDoor( DoorFacing.WestCW ), 3, -2, 6 );
			AddDoor( new MetalDoor( DoorFacing.SouthCCW ), 1, 4, 26 );
			AddDoor( new MetalDoor( DoorFacing.SouthCCW ), 1, 4, 46 );
		}

		public Tower( Serial serial ) : base( serial )
		{
		}

		public override HouseDeed GetDeed() { return new TowerDeed(); }

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int)0 );//version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class Keep : BaseHouse//warning: ODD shape!
	{
		public static Rectangle2D[] Area = new Rectangle2D[]{  new Rectangle2D( -11, -11, 24, 24 ) };

		public Keep( Mobile owner ) : base( 0x7C, owner, Area, 2625, 18 )
		{
			BaseDoor door;

			Key k1 = new Key( KeyType.Gold ), k2 = new Key( KeyType.Gold );
			k1.KeyValue = k2.KeyValue = Key.RandomValue();
			k1.Newbied = k2.Newbied = true;
			owner.BankBox.TryDropItem( owner, k2, false );
			Container pack = owner.Backpack;
			if ( pack == null || !pack.TryDropItem( owner, k1, true ) )
			{
				k1.MoveToWorld( owner.Location, owner.Map );
			}

			door = new MetalDoor( DoorFacing.WestCW );
			AddDoor( door, 0, 10, 6 );
			door.Locked = true;
			door.KeyValue = k1.KeyValue;

			door = new MetalDoor( DoorFacing.EastCCW );
			AddDoor( door, 1, 10, 6 );
			door.Locked = true;
			door.KeyValue = k1.KeyValue;
			
			SetSign( 5, 12, 16 );

			BanLocation = new Point3D( 5, 13, 0 );
		}

		public Keep( Serial serial ) : base( serial )
		{
		}

		public override HouseDeed GetDeed() { return new KeepDeed(); }

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int)0 );//version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class Castle : BaseHouse
	{
		public static Rectangle2D[] Area = new Rectangle2D[]{  new Rectangle2D( -15, -15, 31, 31 ) };

		public Castle( Mobile owner ) : base( 0x7E, owner, Area, 4076, 28 )
		{
			BaseDoor door;

			Key k1 = new Key( KeyType.Gold ), k2 = new Key( KeyType.Gold );
			k1.KeyValue = k2.KeyValue = Key.RandomValue();
			k1.Newbied = k2.Newbied = true;
			owner.BankBox.TryDropItem( owner, k2, false );
			Container pack = owner.Backpack;
			if ( pack == null || !pack.TryDropItem( owner, k1, true ) )
			{
				k1.MoveToWorld( owner.Location, owner.Map );
			}

			door = new MetalDoor( DoorFacing.WestCW );
			AddDoor( door, 0, 15, 6 );
			door.Locked = true;
			door.KeyValue = k1.KeyValue;

			door = new MetalDoor( DoorFacing.EastCCW );
			AddDoor( door, 1, 15, 6 );
			door.Locked = true;
			door.KeyValue = k1.KeyValue;
			
			SetSign( 5, 17, 16 );

			BanLocation = new Point3D( 5, 17, 0 );

			AddDoor( new MetalDoor( DoorFacing.WestCW ), 0, 11, 6 );
			AddDoor( new MetalDoor( DoorFacing.EastCCW ), 1, 11, 6 );

			AddDoor( new MetalDoor( DoorFacing.WestCW ), 0, 5, 6 );
			AddDoor( new MetalDoor( DoorFacing.EastCCW ), 1, 5, 6 );

			AddDoor( new MetalDoor( DoorFacing.WestCW ), -1, -11, 6 );
			AddDoor( new MetalDoor( DoorFacing.EastCCW ), 0, -11, 6 );
		}

		public Castle( Serial serial ) : base( serial )
		{
		}

		public override HouseDeed GetDeed() { return new CastleDeed(); }

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int)0 );//version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class LargePatioHouse : BaseHouse
	{
		public static Rectangle2D[] Area = new Rectangle2D[]{  new Rectangle2D( -8, -7, 16, 14 ) };

		public LargePatioHouse( Mobile owner ) : base( 0x8C, owner, Area, 1100, 8 )
		{
			BaseDoor door;

			Key k1 = new Key( KeyType.Gold ), k2 = new Key( KeyType.Gold );
			k1.KeyValue = k2.KeyValue = Key.RandomValue();
			k1.Newbied = k2.Newbied = true;
			owner.BankBox.TryDropItem( owner, k2, false );
			Container pack = owner.Backpack;
			if ( pack == null || !pack.TryDropItem( owner, k1, true ) )
			{
				k1.MoveToWorld( owner.Location, owner.Map );
			}

			door = new DarkWoodDoor( DoorFacing.WestCW );
			AddDoor( door, -4, 6, 7 );
			door.Locked = true;
			door.KeyValue = k1.KeyValue;

			door = new DarkWoodDoor( DoorFacing.EastCCW );
			AddDoor( door, -3, 6, 7 );
			door.Locked = true;
			door.KeyValue = k1.KeyValue;
			
			SetSign( 1, 8, 16 );

			BanLocation = new Point3D( 1, 8, 0 );
			AddDoor( new DarkWoodDoor( DoorFacing.SouthCCW ), 1, 4, 7 );
			AddDoor( new DarkWoodDoor( DoorFacing.SouthCCW ), 1, -4, 7 );
			AddDoor( new DarkWoodDoor( DoorFacing.WestCCW ), 4, -1, 7 );
		}

		public LargePatioHouse( Serial serial ) : base( serial )
		{
		}

		public override HouseDeed GetDeed() { return new LargePatioDeed(); }

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int)0 );//version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class LargeMarbleHouse : BaseHouse
	{
		public static Rectangle2D[] Area = new Rectangle2D[]{  new Rectangle2D( -7, -7, 15, 14 ) };

		public LargeMarbleHouse( Mobile owner ) : base( 0x96, owner, Area, 1370, 10 )
		{
			BaseDoor door;

			Key k1 = new Key( KeyType.Gold ), k2 = new Key( KeyType.Gold );
			k1.KeyValue = k2.KeyValue = Key.RandomValue();
			k1.Newbied = k2.Newbied = true;
			owner.BankBox.TryDropItem( owner, k2, false );
			Container pack = owner.Backpack;
			if ( pack == null || !pack.TryDropItem( owner, k1, true ) )
			{
				k1.MoveToWorld( owner.Location, owner.Map );
			}

			door = new MetalDoor( DoorFacing.WestCW );
			AddDoor( door, -4, 3, 4 );
			door.Locked = true;
			door.KeyValue = k1.KeyValue;

			door = new MetalDoor( DoorFacing.EastCCW );
			AddDoor( door, -3, 3, 4 );
			door.Locked = true;
			door.KeyValue = k1.KeyValue;
			
			SetSign( 1, 8, 11 );

			BanLocation = new Point3D( 1, 8, 0 );
		}

		public LargeMarbleHouse( Serial serial ) : base( serial )
		{
		}

		public override HouseDeed GetDeed() { return new LargeMarbleDeed(); }

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int)0 );//version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class SmallTower : BaseHouse
	{
		public static Rectangle2D[] Area = new Rectangle2D[]{  new Rectangle2D( -3, -3, 8, 7 ) };

		public SmallTower( Mobile owner ) : base( 0x98, owner, Area, 580, 4 )
		{
			BaseDoor door;

			Key k1 = new Key( KeyType.Gold ), k2 = new Key( KeyType.Gold );
			k1.KeyValue = k2.KeyValue = Key.RandomValue();
			k1.Newbied = k2.Newbied = true;
			owner.BankBox.TryDropItem( owner, k2, false );
			Container pack = owner.Backpack;
			if ( pack == null || !pack.TryDropItem( owner, k1, true ) )
			{
				k1.MoveToWorld( owner.Location, owner.Map );
			}

			door = new MetalDoor( DoorFacing.WestCW );
			AddDoor( door, 3, 3, 5 );
			door.Locked = true;
			door.KeyValue = k1.KeyValue;
			
			SetSign( 1, 4, 5 );

			BanLocation = new Point3D( 1, 4, 0 );
		}

		public SmallTower( Serial serial ) : base( serial )
		{
		}

		public override HouseDeed GetDeed() { return new SmallTowerDeed(); }

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int)0 );//version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class LogCabin : BaseHouse
	{
		public static Rectangle2D[] Area = new Rectangle2D[]{  new Rectangle2D( -3, -6, 8, 13 ) };

		public LogCabin( Mobile owner ) : base( 0x9A, owner, Area, 1100, 8 )
		{
			BaseDoor door;

			Key k1 = new Key( KeyType.Gold ), k2 = new Key( KeyType.Gold );
			k1.KeyValue = k2.KeyValue = Key.RandomValue();
			k1.Newbied = k2.Newbied = true;
			owner.BankBox.TryDropItem( owner, k2, false );
			Container pack = owner.Backpack;
			if ( pack == null || !pack.TryDropItem( owner, k1, true ) )
			{
				k1.MoveToWorld( owner.Location, owner.Map );
			}

			door = new DarkWoodDoor( DoorFacing.WestCW );
			AddDoor( door, 1, 4, 8 );
			door.Locked = true;
			door.KeyValue = k1.KeyValue;
			
			SetSign( 5, 8, 20 );

			BanLocation = new Point3D( 5, 8, 0 );
			AddDoor( new DarkWoodDoor( DoorFacing.WestCW ), 1, 0, 30 );
		}

		public LogCabin( Serial serial ) : base( serial )
		{
		}

		public override HouseDeed GetDeed() { return new LogCabinDeed(); }

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int)0 );//version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class SandStonePatio : BaseHouse
	{
		public static Rectangle2D[] Area = new Rectangle2D[]{  new Rectangle2D( -5, -4, 12, 8 ) };

		public SandStonePatio( Mobile owner ) : base( 0x9C, owner, Area, 850, 6 )
		{
			BaseDoor door;

			Key k1 = new Key( KeyType.Gold ), k2 = new Key( KeyType.Gold );
			k1.KeyValue = k2.KeyValue = Key.RandomValue();
			k1.Newbied = k2.Newbied = true;
			owner.BankBox.TryDropItem( owner, k2, false );
			Container pack = owner.Backpack;
			if ( pack == null || !pack.TryDropItem( owner, k1, true ) )
			{
				k1.MoveToWorld( owner.Location, owner.Map );
			}

			door = new DarkWoodDoor( DoorFacing.WestCW );
			AddDoor( door, -1, 3, 5 );
			door.Locked = true;
			door.KeyValue = k1.KeyValue;
			
			SetSign( 4, 6, 24 );

			BanLocation = new Point3D( 4, 6, 0 );
		}

		public SandStonePatio( Serial serial ) : base( serial )
		{
		}

		public override HouseDeed GetDeed() { return new SandstonePatioDeed(); }

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int)0 );//version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class TwoStoryVilla : BaseHouse
	{
		public static Rectangle2D[] Area = new Rectangle2D[]{  new Rectangle2D( -5, -5, 11, 11 ) };

		public TwoStoryVilla( Mobile owner ) : base( 0x9E, owner, Area, 1100, 8 )
		{
			BaseDoor door;
			
			Key k1 = new Key( KeyType.Gold ), k2 = new Key( KeyType.Gold );
			k1.KeyValue = k2.KeyValue = Key.RandomValue();
			k1.Newbied = k2.Newbied = true;
			owner.BankBox.TryDropItem( owner, k2, false );
			Container pack = owner.Backpack;
			if ( pack == null || !pack.TryDropItem( owner, k1, true ) )
			{
				k1.MoveToWorld( owner.Location, owner.Map );
			}

			door = new DarkWoodDoor( DoorFacing.WestCW );
			AddDoor( door, 3, 1, 5 );
			door.Locked = true;
			door.KeyValue = k1.KeyValue;

			door = new DarkWoodDoor( DoorFacing.EastCCW );
			AddDoor( door, 4, 1, 5 );
			door.Locked = true;
			door.KeyValue = k1.KeyValue;
			
			SetSign( 3, 8, 25 );

			BanLocation = new Point3D( 3, 8, 0 );

			AddDoor( new DarkWoodDoor( DoorFacing.SouthCW ), 1, 0, 25 );
			AddDoor( new DarkWoodDoor( DoorFacing.WestCW ), -3, -1, 25 );
		}

		public TwoStoryVilla( Serial serial ) : base( serial )
		{
		}

		public override HouseDeed GetDeed() { return new VillaDeed(); }

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int)0 );//version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class SmallShop : BaseHouse
	{
		public static Rectangle2D[] Area = new Rectangle2D[]{ new Rectangle2D(-3,-3,7,7) };

		public SmallShop( Mobile owner, int id ) : base( id, owner, Area, 425, 3 )
		{
			BaseDoor door = new MetalDoor( DoorFacing.EastCW );
			
			Key k1 = new Key( KeyType.Gold ), k2 = new Key( KeyType.Gold );
			k1.KeyValue = k2.KeyValue = Key.RandomValue();
			k1.Newbied = k2.Newbied = true;
			owner.BankBox.TryDropItem( owner, k2, false );
			Container pack = owner.Backpack;
			if ( pack == null || !pack.TryDropItem( owner, k1, true ) )
			{
				k1.MoveToWorld( owner.Location, owner.Map );
			}

			AddDoor( door, -2, 0, 27 - (id == 0xA2 ? 3 : 0) );
			door.Locked = true;
			door.KeyValue = k1.KeyValue;
			
			SetSign( 3, 4, 7 - (id == 0xA2 ? 2 : 0) );
			BanLocation = new Point3D( 3, 4, 0 );
		}

		public SmallShop( Serial serial ) : base( serial )
		{
		}

		public override HouseDeed GetDeed() 
		{ 
			switch ( ItemID ^ 0x8000 )
			{
				case 0xA0: return new StoneWorkshopDeed(); 
				case 0xA2:
				default: return new MarbleWorkshopDeed();
			}
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int)0 );//version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
