// Magic Lock Spell Script v.1.0 by SickLab

using System;
using Server.Targeting;
using Server.Network;
using Server.Items;

namespace Server.Spells.Third
{
	public class MagicLockSpell : Spell
	{
		private static SpellInfo m_Info = new SpellInfo(
				"Magic Lock", "An Por",
				SpellCircle.Third,
				212,
				Reagent.Garlic,
				Reagent.Bloodmoss,
				Reagent.SulfurousAsh
			);

		public MagicLockSpell( Mobile caster, Item scroll ) : base( caster, scroll, m_Info )
		{
		}

		public override void OnCast()
		{
			Caster.Target = new InternalTarget( this );
			Caster.SendMessage( "What do you wish to lock?" );
		}

		public void Target( LockableContainer targ )
		{
			if ( !Caster.CanSee( targ ) )
			{
				Caster.SendLocalizedMessage( 500237 ); // Target can not be seen.
			}
			else if ( CheckSequence() )
			{
				Caster.Direction = Caster.GetDirectionTo( targ );

				if ( !targ.Locked )
				{
					if ( targ.LockLevel > 0 )
					{
						int lockPower = (int)Caster.Skills[SkillName.Magery].Value;

						targ.LockLevel = lockPower;
						targ.Locked = true;
						Caster.SendMessage( "You lock the lock" );
					}
					else
					{
						Caster.SendMessage( "You can't lock this lock" );
					}
				}
				else
				{
					Caster.SendMessage( "This is already locked" );
				}

				Caster.PlaySound( 0x22C );
			}

			FinishSequence();
		}

		private class InternalTarget : Target
		{
			private MagicLockSpell m_Owner;

			public InternalTarget( MagicLockSpell owner ) : base( 12, false, TargetFlags.None )
			{
				m_Owner = owner;
			}

			protected override void OnTarget( Mobile from, object o )
			{
				if ( o is LockableContainer )
				{
					m_Owner.Target( (LockableContainer)o );
				}
				else
				{
					from.SendMessage( "You can't lock that!" );
				}
			}

			protected override void OnTargetFinish( Mobile from )
			{
				m_Owner.FinishSequence();
			}
		}
	}
}